source: rtems/contrib/crossrpms/gdb/gdb.add @ 3871497

4.10
Last change on this file since 3871497 was 3871497, checked in by Ralf Corsepius <ralf.corsepius@…>, on 05/19/11 at 15:37:41

Sync with rtems-4.11.

  • Property mode set to 100644
File size: 2.4 KB
Line 
1%define gdb_version @GDB_VERS@
2%define gdb_rpmvers %{expand:%(echo @GDB_VERS@ | tr - _)}
3
4Name:           @rpmprefix@@tool_target@-gdb
5Summary:        Gdb for target @tool_target@
6Group:          Development/Tools
7Version:        %{gdb_rpmvers}
8Release:        @GDB_RPMREL@
9License:        GPL/LGPL
10URL:            http://sources.redhat.com/gdb
11BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
12
13BuildRequires:  %{_host_rpmprefix}gcc
14
15%define build_sim --enable-sim
16
17%if "@tool_target@" == "powerpc-rtems@rtems_api@"
18%if "%{_build}" != "%{_host}"
19# psim doesn't support Cdn-X
20%define build_sim --disable-sim
21%else
22%define build_sim --enable-sim --enable-sim-trace
23%endif
24%endif
25%if "@tool_target@" == "sparc-rtems@rtems_api@"
26%ifos mingw mingw32
27# Mingw lacks functions required by the sparc simulator
28%define build_sim --disable-sim
29%endif
30%endif
31%if "@tool_target@" == "h8300-rtems@rtems_api@"
32%ifos mingw mingw32
33# Mingw lacks functions required by the h8300 simulator
34%define build_sim --disable-sim
35%endif
36%endif
37%if "@tool_target@" == "m32c-rtems@rtems_api@"
38%ifos mingw mingw32
39# Mingw lacks functions required by the m32c simulator
40%define build_sim --disable-sim
41%endif
42%endif
43%if "@tool_target@" == "lm32-rtems@rtems_api@"
44%ifos mingw mingw32
45# Mingw lacks functions required by the lm32 simulator
46%define build_sim --disable-sim
47%endif
48%endif
49%if "@tool_target@" == "mipstx39-rtems@rtems_api@"
50%ifos mingw mingw32
51# Mingw lacks functions required by the mipstx39 simulator
52%define build_sim --disable-sim
53%endif
54%endif
55
56%if "%{gdb_version}" >= "6.6"
57# suse
58%if "%{?suse}" >= "10.3"
59BuildRequires: libexpat-devel
60%else
61# Fedora/CentOS/Cygwin/MinGW
62BuildRequires: %{_host_rpmprefix}expat-devel
63%endif
64%endif
65
66%if "%{gdb_version}" < "6.7"
67%if "%{_build}" != "%{_host}"
68BuildRequires:  %{_host_rpmprefix}termcap-devel
69%endif
70%bcond_with system_readline
71%else
72%bcond_without system_readline
73%endif
74%{?with_system_readline:BuildRequires: %{_host_rpmprefix}readline-devel}
75BuildRequires:  %{_host_rpmprefix}ncurses-devel
76
77%if "%{gdb_version}" >= "6.8.50"
78%if "%{_build}" != "%{_host}"
79# Can't build python Cdn-X
80%bcond_with python
81%else
82%bcond_without python
83%endif
84%endif
85%{?with_python:BuildRequires: %{_host_rpmprefix}python-devel}
86
87%if %build_infos
88# Required for building the infos
89BuildRequires:  /sbin/install-info
90BuildRequires:  texinfo >= 4.2
91%endif
92
93%if %build_infos
94
95Requires:       @rpmprefix@gdb-common
96%endif
97
98@SOURCES@
99
100%description
101GDB for target @tool_target@
Note: See TracBrowser for help on using the repository browser.